FEDORA-EPEL-2017-1b53c89a2c created by bowlofeggs 3 years ago for Fedora EPEL 6
stable

Require python2-koji on Fedora <= 26.


update to upstream 1.13.0


update to upstream 1.12.0, add bugfix


update to upstream 1.12.0 remove rhel 5 conditionals as its no longer supported in epel

This update has been submitted for testing by bowlofeggs.

3 years ago

This update has been pushed to testing.

3 years ago

This update has obsoleted koji-1.13.0-1.el6, and has inherited its bugs and notes.

3 years ago
User Icon wolfy commented & provided feedback 3 years ago
karma

Cannot be installed because it requires python2-pycurl which is not available: Resolving Dependencies
--> Running transaction check
---> Package koji.noarch 0:1.12.0-2.el6 will be updated
---> Package koji.noarch 0:1.13.0-2.el6 will be an update
--> Processing Dependency: python2-koji = 1.13.0-2.el6 for package: koji-1.13.0-2.el6.noarch
--> Processing Dependency: python2-pycurl for package: koji-1.13.0-2.el6.noarch
---> Package python2-rpkg.noarch 0:1.49-5.el6 will be updated
---> Package python2-rpkg.noarch 0:1.49-6.el6 will be an update
--> Running transaction check
---> Package koji.noarch 0:1.13.0-2.el6 will be an update
--> Processing Dependency: python2-pycurl for package: koji-1.13.0-2.el6.noarch
---> Package python2-koji.noarch 0:1.13.0-2.el6 will be installed
--> Finished Dependency Resolution
Error: Package: koji-1.13.0-2.el6.noarch (epel-testing)
Requires: python2-pycurl
You could try using --skip-broken to work around the problem

[wolfy@wolfy tmp]$ sudo yum list python*-pycurl --showduplicates --enablerepo=epel,epel-testing Loaded plugins: changelog, fastestmirror, presto, priorities, refresh-packagekit, remove-with-leaves, replace Loading mirror speeds from cached hostfile * centosplus: ftp.ines.lug.ro * elrepo: ftp.ines.lug.ro * epel: ftp.ines.lug.ro * epel-testing: ftp.ines.lug.ro * extras: ftp.ines.lug.ro * updates: ftp.ines.lug.ro Installed Packages python-pycurl.x86_64 7.19.0-9.el6 @cr Available Packages python-pycurl.x86_64 7.19.0-9.el6 base python34-pycurl.x86_64 7.43.0-5.el6 epel

Bodhi is disabling automatic push to stable due to negative karma. The maintainer may push manually if they determine that the issue is not severe.

3 years ago

This update has reached 14 days in testing and can be pushed to stable now if the maintainer wishes

3 years ago

ausil edited this update.

New build(s):

  • koji-1.13.0-3.el6

Removed build(s):

  • koji-1.13.0-2.el6

Karma has been reset.

3 years ago

This update has been submitted for testing by ausil.

3 years ago

This update has been pushed to testing.

3 years ago

package: koji-web-1.13.0-3.el6.noarch

unresolved deps:

 mod_auth_gssapi

There is no mod_auth_gssapi on rhel6 or epel6. I suggest disabling build of koji-web on epel6 if this is hard requirement.

karma: -1

User Icon wolfy provided feedback 3 years ago
karma

There still seems to be some problems with update. Consider this

[root@vagrant ~]# yum install koji Setting up Install Process Repository epel is listed more than once in the configuration Resolving Dependencies --> Running transaction check ---> Package koji.noarch 0:1.11.0-1.el6 will be installed --> Finished Dependency Resolution

Dependencies Resolved

============================================================================================================================================== Package Arch Version Repository Size ============================================================================================================================================== Installing: koji noarch 1.11.0-1.el6 epel 297 k

Transaction Summary

Install 1 Package(s)

Total size: 297 k Installed size: 1.2 M Is this ok [y/N]: y Downloading Packages: Running rpm_check_debug Running Transaction Test Transaction Test Succeeded Running Transaction Installing : koji-1.11.0-1.el6.noarch 1/1 Verifying : koji-1.11.0-1.el6.noarch 1/1

Installed: koji.noarch 0:1.11.0-1.el6

Complete!

[root@vagrant ~]# yum install -y fedora-packager --enablerepo=epel-testing Repository epel is listed more than once in the configuration Setting up Install Process Resolving Dependencies --> Running transaction check ---> Package fedora-packager.noarch 0:0.6.0.1-1.el6 will be installed --> Processing Dependency: fedpkg >= 1.0 for package: fedora-packager-0.6.0.1-1.el6.noarch --> Processing Dependency: packagedb-cli for package: fedora-packager-0.6.0.1-1.el6.noarch --> Processing Dependency: bodhi-client for package: fedora-packager-0.6.0.1-1.el6.noarch --> Running transaction check ---> Package bodhi-client.noarch 0:0.9.13-2.el6 will be installed ---> Package fedpkg.noarch 0:1.28-1.el6 will be installed --> Processing Dependency: pyrpkg >= 1.47 for package: fedpkg-1.28-1.el6.noarch ---> Package packagedb-cli.noarch 0:2.10-2.el6 will be installed --> Running transaction check ---> Package python2-rpkg.noarch 0:1.49-6.el6 will be installed --> Processing Dependency: python2-koji for package: python2-rpkg-1.49-6.el6.noarch --> Running transaction check ---> Package python2-koji.noarch 0:1.13.0-3.el6 will be installed --> Finished Dependency Resolution

Dependencies Resolved

============================================================================================================================================== Package Arch Version Repository Size ============================================================================================================================================== Installing: fedora-packager noarch 0.6.0.1-1.el6 epel 45 k Installing for dependencies: bodhi-client noarch 0.9.13-2.el6 epel-testing 22 k fedpkg noarch 1.28-1.el6 epel 49 k packagedb-cli noarch 2.10-2.el6 epel 59 k python2-koji noarch 1.13.0-3.el6 epel-testing 291 k python2-rpkg noarch 1.49-6.el6 epel 135 k

Transaction Summary

Install 6 Package(s)

Total size: 601 k Installed size: 2.3 M Downloading Packages: Running rpm_check_debug Running Transaction Test

Transaction Check Error: file /usr/lib/python2.6/site-packages/koji/init.py from install of python2-koji-1.13.0-3.el6.noarch conflicts with file from package koj i-1.11.0-1.el6.noarch file /usr/lib/python2.6/site-packages/koji/init.pyc from install of python2-koji-1.13.0-3.el6.noarch conflicts with file from package ko ji-1.11.0-1.el6.noarch file /usr/lib/python2.6/site-packages/koji/ssl/init.pyc from install of python2-koji-1.13.0-3.el6.noarch conflicts with file from packag e koji-1.11.0-1.el6.noarch file /usr/lib/python2.6/site-packages/koji/init.pyo from install of python2-koji-1.13.0-3.el6.noarch conflicts with file from package ko ji-1.11.0-1.el6.noarch <snip>

Sorry about the poor formating :)

[root@vagrant ~]# yum install koji Setting up Install Process Repository epel is listed more than once in the configuration Resolving Dependencies --> Running transaction check ---> Package koji.noarch 0:1.11.0-1.el6 will be installed --> Finished Dependency Resolution

Dependencies Resolved

============================================================================================================================================== Package Arch Version Repository Size

============================================================================================================================================== Installing: koji noarch 1.11.0-1.el6 epel 297 k

Transaction Summary

============================================================================================================================================== Install 1 Package(s)

Total size: 297 k Installed size: 1.2 M Is this ok [y/N]: y Downloading Packages: Running rpm_check_debug Running Transaction Test Transaction Test Succeeded Running Transaction Installing : koji-1.11.0-1.el6.noarch 1/1 Verifying : koji-1.11.0-1.el6.noarch 1/1

Installed: koji.noarch 0:1.11.0-1.el6

Complete! [root@vagrant ~]# yum install -y fedora-packager --enablerepo=epel-testing Repository epel is listed more than once in the configuration Setting up Install Process Resolving Dependencies --> Running transaction check ---> Package fedora-packager.noarch 0:0.6.0.1-1.el6 will be installed --> Processing Dependency: fedpkg >= 1.0 for package: fedora-packager-0.6.0.1-1.el6.noarch --> Processing Dependency: packagedb-cli for package: fedora-packager-0.6.0.1-1.el6.noarch --> Processing Dependency: bodhi-client for package: fedora-packager-0.6.0.1-1.el6.noarch --> Running transaction check ---> Package bodhi-client.noarch 0:0.9.13-2.el6 will be installed ---> Package fedpkg.noarch 0:1.28-1.el6 will be installed --> Processing Dependency: pyrpkg >= 1.47 for package: fedpkg-1.28-1.el6.noarch ---> Package packagedb-cli.noarch 0:2.10-2.el6 will be installed --> Running transaction check ---> Package python2-rpkg.noarch 0:1.49-6.el6 will be installed --> Processing Dependency: python2-koji for package: python2-rpkg-1.49-6.el6.noarch --> Running transaction check ---> Package python2-koji.noarch 0:1.13.0-3.el6 will be installed --> Finished Dependency Resolution

Dependencies Resolved

============================================================================================================================================== Package Arch Version Repository Size

============================================================================================================================================== Installing: fedora-packager noarch 0.6.0.1-1.el6 epel 45 k Installing for dependencies: bodhi-client noarch 0.9.13-2.el6 epel-testing 22 k fedpkg noarch 1.28-1.el6 epel 49 k packagedb-cli noarch 2.10-2.el6 epel 59 k python2-koji noarch 1.13.0-3.el6 epel-testing 291 k python2-rpkg noarch 1.49-6.el6 epel 135 k

Transaction Summary

============================================================================================================================================== Install 6 Package(s)

Total size: 601 k Installed size: 2.3 M Downloading Packages: Running rpm_check_debug Running Transaction Test

Transaction Check Error: file /usr/lib/python2.6/site-packages/koji/init.py from install of python2-koji-1.13.0-3.el6.noarch conflicts with file from package koj i-1.11.0-1.el6.noarch file /usr/lib/python2.6/site-packages/koji/init.pyc from install of python2-koji-1.13.0-3.el6.noarch conflicts with file from package ko ji-1.11.0-1.el6.noarch file /usr/lib/python2.6/site-packages/koji/ssl/init.pyc from install of python2-koji-1.13.0-3.el6.noarch conflicts with file from packag e koji-1.11.0-1.el6.noarch file /usr/lib/python2.6/site-packages/koji/init.pyo from install of python2-koji-1.13.0-3.el6.noarch conflicts with file from package ko ji-1.11.0-1.el6.noarch <snip>

damn :\ I give up. long story short with older koji installed one can install fedora-packager, or python2-rpkg, that depends on python2-koji because of file conflicts

yum -y install koji-1.11.0-1.el6 && yum install -y fedora-packager --enablerepo=epel-testing

This update has reached 14 days in testing and can be pushed to stable now if the maintainer wishes

3 years ago

This update has been submitted for stable by ausil.

3 years ago

This update has been pushed to stable.

3 years ago

Dependency issue is still not resolved. Please consider removing koji-web sub-package.


Please login to add feedback.

Metadata
Type
bugfix
Karma
1
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
disabled
Dates
submitted
3 years ago
in testing
3 years ago
in stable
3 years ago
modified
3 years ago

Automated Test Results